How to use different PHP versions

We run PHP 7.1 as the default PHP version, but we also support PHP 5.6.x, 7.0.x, 7.2.x and 7.3.x Running different PHP version is as simple as adding a .php{version} file.

To change all to default PHP 7.2, goto your workspace directory and create a file named .php72 This will make all webrequest and console request default to PHP 7.2.

You can set PHP versions for a customer/project namespace. It'll look up from the deepest path.

Using the example above;

PHP-CLI version

You do'nt need to add a suffix anymore(for older versions) for cli commands, it'll take the same version as above. You need to make sure you change your workpath before running commands.